Subject: bug#79298: patch: full color in windows terminal

From: Ewan <[email-masked]>
Date: Wed, 03 Sep 2025 16:09:50 +0000

> Finally, the Emacs-drawn cursor replacing the system cursor when
> w32-use-visible-system-caret is nil, is independent of ASCII sequence
> support. It depends only on the 'cursor' face being defined (I believe
> it always will be), and just adds an additional pass, for at most two
> rows, through w32con_write_glyphs, which branches between old and new
> based on the feature flag, and so should work with the legacy system.

Correction, I managed to avoid the need for additional passes. Rather,
it just forces full re-write (disabling optimizations), for at most 
two rows (the one where the cursor was, and the one where it will be).